<?php
$this->breadcrumbs=array(
        Yii::t('intranet', 'Candidatos') => array('candidato/index'),
        $candidato->nombre . ' ' . $candidato->apellidos => array('candidato/view','id'=>$candidato->id),
	Yii::t('intranet', 'Capacidades profesionales'),
);

$this->pageTitle=Yii::t('intranet', 'Gestión de capacidades profesionales');
$candidatoId = $this->actionParams['cid'];
?>

<?php 
    echo CHtml::link(
            Yii::t('intranet', 'Nueva capacidad'), 
            $this->createUrl('candidatoCapacidad/create', array('cid'=>$candidatoId)),
            array(
                'class' => 'anchorbutton button_white',
            )
            
    ); 
?>
<br clear="all" />
<br clear="all" />
<div class="widgetbox">
    <div class="content nopadding ohidden">
    <?php
        $columns = array(            
            array(
                'type' => 'html',
                'name' => 'perfilTecnico.descripcion',
                'value' => 'CHtml::link((CHtml::encode($data->perfilTecnico->descripcion) .
                            (($data->meses_perfil_tecnico != \'\') 
                             ? \'&nbsp;&nbsp;(\' . $data->meses_perfil_tecnico . \' \' . Yii::t(\'intranet\', \'meses\') . \')\' 
                             : \'\')
                             ), array("update", "id"=>$data->id));',
                'headerHtmlOptions'=>array(
                    'class' => 'head0', 
                ),
                'cssClassExpression' => '"con0"',                
            ),
            array(
                'type' => 'html',
                'value'=> array($this, 'gridDataColumnTecnologias'), 
                'header' => 'Tecnologias',
                'headerHtmlOptions'=>array(
                    'class' => 'head0', 
                ),
                'cssClassExpression' => '"con0"',
            ), 
            array(
                'type' => 'html',
                'value'=> array($this, 'gridDataColumnFuncionales'), 
                'header' => 'Capacidades funcionales',
                'headerHtmlOptions'=>array(
                    'class' => 'head0', 
                ),
                'cssClassExpression' => '"con0"',
            ), 
            array(
                'header'=>Yii::t('intranet', 'Acciones'),
                'class'=>'CButtonColumn',
                'headerHtmlOptions'=>array(
                    'style' => 'width:55px;',
                    'class' => 'head1', 
                ),
                'template'=>'{update}{delete}',
                'cssClassExpression' => '"con0"',
            ),
        );
        
        $pageSize = Yii::app()->user->getState('pageSize', Yii::app()->params['defaultPageSize']);
        $dataProvider->getPagination()->setPageSize($pageSize);

        $this->widget('application.extensions.SelGridView', array(
            'id'=>'capacidades-grid',
            'dataProvider'=>$dataProvider,
            'columns'=>$columns,
            'cssFile' => Yii::app()->baseUrl . '/css/gridview3.css',
            'itemsCssClass' => 'sTable3',            
            'pagerCssClass' => 'dataTables_paginate',
            'template' => '{items}{pager}',
            'emptyText' => Yii::t('intranet', 'Este candidato no tiene capacidades'),
            'selectableRows' => 1,
            ));        
    ?>
    </div>
</div>    
